"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _mapCacheClear = require("./_mapCacheClear.js");
const _mapCacheDelete = require("./_mapCacheDelete.js");
const _mapCacheGet = require("./_mapCacheGet.js");
const _mapCacheHas = require("./_mapCacheHas.js");
const _mapCacheSet = require("./_mapCacheSet.js");
function MapCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
MapCache.prototype.clear = _mapCacheClear.default;
MapCache.prototype["delete"] = _mapCacheDelete.default;
MapCache.prototype.get = _mapCacheGet.default;
MapCache.prototype.has = _mapCacheHas.default;
MapCache.prototype.set = _mapCacheSet.default;
exports.default = MapCache;
